﻿﻿@{
    ViewBag.Title = "Index";
}


<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
<div class="container">

    <div class="col-sm-4 col-sm-offset-4">
        <button type="button" class="btn btn-success btn-lg btn-block" data-toggle="modal" data-target="#myModal">Login</button>
    </div>
    @*<br /><hr /><br />
        <div class="col-sm-4 col-sm-offset-4">
            <a href="@Url.Action("Authorize", "Home")" class="btn btn-info btn-block"><i class="fa fa-twitter fa-2x" aria-hidden="true">&nbsp;Login</i></a>
        </div>*@

    <div class="modal fade" id="myModal" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-body">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <strong class="">Login</strong>
                        </div>
                        <div class="panel-body">
                            @using (Html.BeginForm("Index", "Log", FormMethod.Post, new { @class = "form-horizontal" }))
                            {
                                <div class="form-group">
                                    <label for="inputEmail3" class="col-sm-3 control-label">User Name</label>
                                    <div class="col-sm-9">
                                        @Html.TextBox("User", null, new { @class = "form-control", placeholder = "User Name here", required = "" })
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
                                    <div class="col-sm-9">
                                        @Html.Password("Password", null, new { @class = "form-control", placeholder = "Password here", required = "" })
                                    </div>
                                </div>

                                <div class="form-group last">
                                    <div class="col-sm-offset-3 col-sm-9">
                                        <button type="submit" class="btn btn-success btn-sm">Sign in</button>
                                        <button type="reset" class="btn btn-default btn-sm">Reset</button>
                                        <span style="color:red;margin-left:50px">@ViewBag.Login</span>
                                    </div>
                                </div>
                            }
                        </div>

                    </div>
                </div>
            </div>

        </div>
    </div>
</div>